class UsersInService {
  constructor(serviceOfUsers, serviceOfServices) {
    this.serviceOfUsers = serviceOfUsers
    this.serviceOfServices = serviceOfServices
  }

  async fetchUsersByService() {
    const selectedService = this.serviceOfServices.getSelectedService()
    if (!selectedService) {
      console.error('fetchUsersByService: Service not found')
      return []
    }
    this.serviceOfUsers.fetchUsersByService(selectedService.id)
  }

  async fetchUsersWithoutService() {

  }

}

export default UsersInService
